Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoContractSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractSubscription

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegogoContractSubscription extends IdTitle
Услуга/подписка модуля Megogo оказываемая конкретному договору.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SUBSCRIPTION_STATUS_ACTIVE`
  Подключен, запрос в Megogo уже отправлен
  `static final int`
  `SUBSCRIPTION_STATUS_DISCONNECTED`
  Отключен, пользователь отказался, договор закрыли, перешел на другую подписку
  `static final int`
  `SUBSCRIPTION_STATUS_IN_CONNECT`
  Находиться на подключении, скорее всего при переходе на новую подписку.
  `static final int`
  `SUBSCRIPTION_STATUS_IN_DISCONNECT`
  Находиться на отключении, то есть установлена дата завершения, при следующей запуске планировщика произведет отсылку запроса и переведет в статус Отключен, если дата текущая или в прошлом.
  `static final int`
  `SUBSCRIPTION_STATUS_IN_SUSPEND`
  В приостановке, такого статуса в идеале не должно быть, возможно только по техничиским причинам
  `static final int`
  `SUBSCRIPTION_STATUS_RESUME`
  В возобновлении, такого статуса в идеале не должно быть, возможно только по техничиским причинам.
  `static final int`
  `SUBSCRIPTION_STATUS_SUSPEND`
  Приостановлен

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoContractSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getCount()`
  `Date`
  `getDateActivated()`
  `Date`
  `getDateDeactivated()`
  `Date`
  `getLm()`
  `Period`
  `getPeriod()`
  `int`
  `getServiceId()`
  `int`
  `getStatus()`
  `String`
  `getStatusText()`
  `int`
  `getSubscriptionFrom()`
  `int`
  `getUserId()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int cid)`
  `void`
  `setCount(int count)`
  `void`
  `setDateActivated(Date dateActivated)`
  `void`
  `setDateDeactivated(Date dateDeactivated)`
  `void`
  `setLm(Date lm)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setStatus(int status)`
  `void`
  `setSubscriptionFrom(int subscriptionFrom)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### SUBSCRIPTION_STATUS_ACTIVE

    public static final int SUBSCRIPTION_STATUS_ACTIVE
    Подключен, запрос в Megogo уже отправлен
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_STATUS_IN_DISCONNECT

    public static final int SUBSCRIPTION_STATUS_IN_DISCONNECT
    Находиться на отключении, то есть установлена дата завершения, при следующей запуске планировщика произведет отсылку запроса и переведет в статус Отключен, если дата текущая или в прошлом. НЕСЕТ ИСКЛЮЧИТЕЛЬНО ИНФОРМАТИВНЫЙ ХАРАКТЕР
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_STATUS_DISCONNECTED

    public static final int SUBSCRIPTION_STATUS_DISCONNECTED
    Отключен, пользователь отказался, договор закрыли, перешел на другую подписку
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_STATUS_IN_CONNECT

    public static final int SUBSCRIPTION_STATUS_IN_CONNECT
    Находиться на подключении, скорее всего при переходе на новую подписку. Включение планировщиком производиться подписки только с таким статусом.
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_STATUS_SUSPEND

    public static final int SUBSCRIPTION_STATUS_SUSPEND
    Приостановлен
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_STATUS_IN_SUSPEND

    public static final int SUBSCRIPTION_STATUS_IN_SUSPEND
    В приостановке, такого статуса в идеале не должно быть, возможно только по техничиским причинам
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_STATUS_RESUME

    public static final int SUBSCRIPTION_STATUS_RESUME
    В возобновлении, такого статуса в идеале не должно быть, возможно только по техничиским причинам. Так как если баланс пополнили, то должны тут же были включить.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MegogoContractSubscription

    public MegogoContractSubscription()

- ## Method Details

  - ### getStatusText

    public String getStatusText()

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int cid)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getSubscriptionFrom

    public int getSubscriptionFrom()

  - ### setSubscriptionFrom

    public void setSubscriptionFrom(int subscriptionFrom)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### getDateActivated

    public Date getDateActivated()

  - ### setDateActivated

    public void setDateActivated(Date dateActivated)

  - ### getDateDeactivated

    public Date getDateDeactivated()

  - ### setDateDeactivated

    public void setDateDeactivated(Date dateDeactivated)

  - ### getCount

    public int getCount()

  - ### setCount

    public void setCount(int count)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getLm

    public Date getLm()

  - ### setLm

    public void setLm(Date lm)